org.keycloak.authorization.protection.resource

## Class ResourceService

- java.lang.Object
- - org.keycloak.authorization.protection.resource.ResourceService

-     public class ResourceService
      extends Object

  Author:
    Pedro Igor

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceService(KeycloakSession session, ResourceServer resourceServer, Identity identity, ResourceSetService resourceManager)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.ws.rs.core.Response` | `create(UmaResourceRepresentation resource)`
    `javax.ws.rs.core.Response` | `delete(String id)`
    `javax.ws.rs.core.Response` | `find(String id, String name, String uri, String owner, String type, String scope, Boolean matchingUri, Boolean exactName, Boolean deep, Integer firstResult, Integer maxResult)`
    `javax.ws.rs.core.Response` | `findById(String id)`
    `javax.ws.rs.core.Response` | `update(String id, ResourceRepresentation resource)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResourceService

          public ResourceService(KeycloakSession session,
                                 ResourceServer resourceServer,
                                 Identity identity,
                                 ResourceSetService resourceManager)

  - ### Method Detail

    - #### create

          @POST
           @Consumes(value="application/json")
           @Produces(value="application/json")
          public javax.ws.rs.core.Response create(UmaResourceRepresentation resource)

    - #### update

          @Path(value="{id}")
           @PUT
           @Consumes(value="application/json")
           @Produces(value="application/json")
          public javax.ws.rs.core.Response update(@PathParam(value="id")
                                                                                                                                                      String id,
                                                                                                                                                      ResourceRepresentation resource)

    - #### delete

          @Path(value="/{id}")
           @DELETE
          public javax.ws.rs.core.Response delete(@PathParam(value="id")
                                                                                String id)

    - #### findById

          @Path(value="/{id}")
           @GET
           @Produces(value="application/json")
          public javax.ws.rs.core.Response findById(@PathParam(value="id")
                                                                                                                    String id)

    - #### find

          @GET
           @Produces(value="application/json")
          public javax.ws.rs.core.Response find(@QueryParam(value="_id")
                                                                                          String id,
                                                                                          @QueryParam(value="name")
                                                                                          String name,
                                                                                          @QueryParam(value="uri")
                                                                                          String uri,
                                                                                          @QueryParam(value="owner")
                                                                                          String owner,
                                                                                          @QueryParam(value="type")
                                                                                          String type,
                                                                                          @QueryParam(value="scope")
                                                                                          String scope,
                                                                                          @QueryParam(value="matchingUri")
                                                                                          Boolean matchingUri,
                                                                                          @QueryParam(value="exactName")
                                                                                          Boolean exactName,
                                                                                          @QueryParam(value="deep")
                                                                                          Boolean deep,
                                                                                          @QueryParam(value="first")
                                                                                          Integer firstResult,
                                                                                          @QueryParam(value="max")
                                                                                          Integer maxResult)

Copyright © 2020 JBoss by Red Hat. All rights reserved.